" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,\|,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *expand-hook* *filters*
syn keyword tl_keyword contained *full-args* *gensym-counter* *hash-seed* *lib-version*
syn keyword tl_keyword contained *listener-auto-compound-p* *listener-auto-infix-p* *listener-greedy-eval-p* *listener-hist-len*
syn keyword tl_keyword contained *listener-ignore-eof* *listener-multi-line-p* *listener-pprint-p* *listener-sel-inclusive-p*
syn keyword tl_keyword contained *load-args* *load-hooks* *load-path* *load-search-dirs*
syn keyword tl_keyword contained *match-macro* *opt-level* *package* *package-alist*
syn keyword tl_keyword contained *param-macro* *place-clobber-expander* *place-delete-expander* *place-macro*
syn keyword tl_keyword contained *place-update-expander* *pprint-flo-format* *print-base* *print-circle*
syn keyword tl_keyword contained *print-flo-digits* *print-flo-format* *print-flo-precision* *print-json-format*
syn keyword tl_keyword contained *print-json-type* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-json-int* *read-unknown-structs* *rec-source-loc* *stddebug*
syn keyword tl_keyword contained *stderr* *stdin* *stdlog* *stdnull*
syn keyword tl_keyword contained *stdout* *struct-clause-expander* *trace-output* *tree-fun-whitelist*
syn keyword tl_keyword contained *txr-version* *unhandled-hook* + -
syn keyword tl_keyword contained / /= : :=
syn keyword tl_keyword contained :abandoned :abs :addr :all
syn keyword tl_keyword contained :android :apf :append :args
syn keyword tl_keyword contained :atime :auto :awk-again :awk-file
syn keyword tl_keyword contained :awk-rec :begin :begin-file :blksize
syn keyword tl_keyword contained :blocks :bool :byte-oriented :cdigit
syn keyword tl_keyword contained :chars :cint :clean :close
syn keyword tl_keyword contained :compile :continue :counter :cspace
syn keyword tl_keyword contained :csv :ctime :cword-char :cygnal
syn keyword tl_keyword contained :cygwin :dec :decline :delegate
syn keyword tl_keyword contained :dev :digit :downcase :end
syn keyword tl_keyword contained :end-file :env :eq-based :eql-based
syn keyword tl_keyword contained :equal-based :error :explicit-no :fallback
syn keyword tl_keyword contained :fd :fence :fields :filter
syn keyword tl_keyword contained :fini :finish :float :form
syn keyword tl_keyword contained :from-current :from-end :from-start :from_html
syn keyword tl_keyword contained :frombase64 :frombase64url :fromhtml :frompercent
syn keyword tl_keyword contained :fromurl :fun :function :gap
syn keyword tl_keyword contained :gid :greedy :hex :hextoint
syn keyword tl_keyword contained :inf :infix :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :left :let
syn keyword tl_keyword contained :lfilt :lines :linux :list
syn keyword tl_keyword contained :lists :local :longest :macos
syn keyword tl_keyword contained :macro :mandatory :mass-delegate :match
syn keyword tl_keyword contained :maxgap :maxtimes :method :mid
syn keyword tl_keyword contained :mingap :mintimes :mode :mtime
syn keyword tl_keyword contained :name :named :next-spec :nlink
syn keyword tl_keyword contained :noclose :nothrow :oct :ok
syn keyword tl_keyword contained :openbsd :outf :outp :output
syn keyword tl_keyword contained :owner :perms :postfini :postfix
syn keyword tl_keyword contained :postinit :prefix :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :right :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :trace :uid :unknown :upcase
syn keyword tl_keyword contained :use :use-from :use-syms :use-syms-as
syn keyword tl_keyword contained :userdata :var :vars :visited
syn keyword tl_keyword contained :warn :weak-and :weak-keys :weak-or
syn keyword tl_keyword contained :weak-vals :whole :word-char :wrap
syn keyword tl_keyword contained < <= = >
syn keyword tl_keyword contained >= abort abs abs-path-p
syn keyword tl_keyword contained acons acons-new aconsql-new acos
syn keyword tl_keyword contained acosh add-suffix ado af-inet
syn keyword tl_keyword contained af-inet6 af-unix af-unspec ai-addrconfig
syn keyword tl_keyword contained ai-all ai-canonname ai-numerichost ai-numericserv
syn keyword tl_keyword contained ai-passive ai-v4mapped alet align
syn keyword tl_keyword contained alignof alist-nremove alist-remove all
syn keyword tl_keyword contained allocate-struct and andf ap
syn keyword tl_keyword contained apf append append* append-each
syn keyword tl_keyword contained append-each* append-each-prod append-each-prod* append-match-case-products
syn keyword tl_keyword contained append-match-cases append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bexp bignum-len
syn keyword tl_keyword contained bignump bindable bit bitset
syn keyword tl_keyword contained blkcnt-t blksize-t block block*
syn keyword tl_keyword contained bool boundp bracket break-str
syn keyword tl_keyword contained brkint bs0 bs1 bsdly
syn keyword tl_keyword contained bstr bstr-d bstr-s buf
syn keyword tl_keyword contained buf-alloc-size buf-and buf-ash buf-binary-width
syn keyword tl_keyword contained buf-bit buf-bitset buf-carray buf-compress
syn keyword tl_keyword contained buf-count-ones buf-d buf-decompress buf-fash
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-not buf-or buf-put-buf
syn keyword tl_keyword contained buf-put-char buf-put-cptr buf-put-double buf-put-float
syn keyword tl_keyword contained buf-put-i16 buf-put-i32 buf-put-i64 buf-put-i8
syn keyword tl_keyword contained buf-put-int buf-put-long buf-put-short buf-put-u16
syn keyword tl_keyword contained buf-put-u32 buf-put-u64 buf-put-u8 buf-put-uchar
syn keyword tl_keyword contained buf-put-uint buf-put-ulong buf-put-ushort buf-set-length
syn keyword tl_keyword contained buf-str buf-test buf-trim buf-trunc
syn keyword tl_keyword contained buf-uint buf-xor buf-xor-pattern buf-zero-p
syn keyword tl_keyword contained bufp build build-list buildn
syn keyword tl_keyword contained built-in-type-p butlast butlastn caaaaar
syn keyword tl_keyword contained caaaadr caaaar caaadar caaaddr
syn keyword tl_keyword contained caaadr caaar caadaar caadadr
syn keyword tl_keyword contained caadar caaddar caadddr caaddr
syn keyword tl_keyword contained caadr caar cadaaar cadaadr
syn keyword tl_keyword contained cadaar cadadar cadaddr cadadr
syn keyword tl_keyword contained cadar caddaar caddadr caddar
syn keyword tl_keyword contained cadddar caddddr cadddr caddr
syn keyword tl_keyword contained cadr call call-clobber-expander call-delete-expander
syn keyword tl_keyword contained call-finalizers call-super-fun call-super-method call-update-expander
syn keyword tl_keyword contained callf car carray carray-blank
syn keyword tl_keyword contained carray-buf carray-buf-sync carray-cptr carray-dup
syn keyword tl_keyword contained carray-free carray-get carray-getz carray-int
syn keyword tl_keyword contained carray-list carray-own carray-pun carray-put
syn keyword tl_keyword contained carray-putz carray-ref carray-refset carray-replace
syn keyword tl_keyword contained carray-set-length carray-sub carray-type carray-uint
syn keyword tl_keyword contained carray-vec carrayp case case*
syn keyword tl_keyword contained caseq caseq* caseql caseql*
syn keyword tl_keyword contained casequal casequal* cat-files cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catch*
syn keyword tl_keyword contained catch** catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cbrt cdaaaar cdaaadr
syn keyword tl_keyword contained cdaaar cdaadar cdaaddr cdaadr
syn keyword tl_keyword contained cdaar cdadaar cdadadr cdadar
syn keyword tl_keyword contained cdaddar cdadddr cdaddr cdadr
syn keyword tl_keyword contained cdar cddaaar cddaadr cddaar
syn keyword tl_keyword contained cddadar cddaddr cddadr cddar
syn keyword tl_keyword contained cdddaar cdddadr cdddar cddddar
syn keyword tl_keyword contained cdddddr cddddr cdddr cddr
syn keyword tl_keyword contained cdr ceil ceil-rem chain
syn keyword tl_keyword contained chand char chdir chmod
syn keyword tl_keyword contained chmod-rec chown chown-rec chr-digit
syn keyword tl_keyword contained chr-int chr-isalnum chr-isalpha chr-isascii
syn keyword tl_keyword contained chr-isblank chr-iscntrl chr-isdigit chr-isgraph
syn keyword tl_keyword contained chr-islower chr-isprint chr-ispunct chr-isspace
syn keyword tl_keyword contained chr-isunisp chr-isupper chr-isxdigit chr-num
syn keyword tl_keyword contained chr-str chr-str-set chr-tolower chr-toupper
syn keyword tl_keyword contained chr-xdigit chrp clamp clean-file
syn keyword tl_keyword contained clear-dirty clear-error clear-mask clear-struct
syn keyword tl_keyword contained clearhash clocal clock-t clockid-t
syn keyword tl_keyword contained close close-lazy-streams close-stream closedir
syn keyword tl_keyword contained closelog closure cmp-str cmspar
syn keyword tl_keyword contained cnshuffle cnsort coded-length collect-each
syn keyword tl_keyword contained collect-each* collect-each-prod collect-each-prod* collect-match-case-products
syn keyword tl_keyword contained collect-match-cases comb combi command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compiler-let compl-span-str cond conda
syn keyword tl_keyword contained condlet cons cons-count cons-find
syn keyword tl_keyword contained conses conses* consp constantp
syn keyword tl_keyword contained contain[s] copy copy-alist copy-buf
syn keyword tl_keyword contained copy-carray copy-cons copy-cptr copy-file
syn keyword tl_keyword contained copy-files copy-fun copy-hash copy-hash-iter
syn keyword tl_keyword contained copy-iter copy-list copy-path-rec copy-search-tree
syn keyword tl_keyword contained copy-str copy-struct copy-tnode copy-tree
syn keyword tl_keyword contained copy-tree-iter copy-vec copysign cos
syn keyword tl_keyword contained cosh count count-if count-until-match
syn keyword tl_keyword contained countq countql countqual cptr
syn keyword tl_keyword contained cptr-buf cptr-carray cptr-cast cptr-free
syn keyword tl_keyword contained cptr-get cptr-int cptr-null cptr-obj
syn keyword tl_keyword contained cptr-out cptr-size-hint cptr-type cptr-zap
syn keyword tl_keyword contained cptrp cr0 cr1 cr2
syn keyword tl_keyword contained cr3 crc32 crc32-stream crdly
syn keyword tl_keyword contained cread crtscts crypt cs5
syn keyword tl_keyword contained cs6 cs7 cs8 cshuffle
syn keyword tl_keyword contained csize csnsort csort csort-group
syn keyword tl_keyword contained cssort cstopb cum-norm-dist cxr
syn keyword tl_keyword contained cyr daemon dec defenum
syn keyword tl_keyword contained defer-warning defex deffi deffi-cb
syn keyword tl_keyword contained deffi-cb-unsafe deffi-struct deffi-sym deffi-type
syn keyword tl_keyword contained deffi-union deffi-var define-accessor define-modify-macro
syn keyword tl_keyword contained define-option-struct define-param-expander define-place-macro define-struct-clause
syn keyword tl_keyword contained define-struct-prelude defmacro defmatch defmeth
syn keyword tl_keyword contained defpackage defparm defparml defplace
syn keyword tl_keyword contained defset defstruct defsymacro defun
syn keyword tl_keyword contained defun-match defvar defvarl del
syn keyword tl_keyword contained delay delcons delete-package dev-t
syn keyword tl_keyword contained diff digits digpow dir-name
syn keyword tl_keyword contained dirstat disassemble display-width div
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained doc dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drem
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-case each-match-case-product
syn keyword tl_keyword contained each-match-product each-prod each-prod* each-true
syn keyword tl_keyword contained eaddrinuse eaddrnotavail eafnosupport eagain
syn keyword tl_keyword contained ealready ebadf ebadmsg ebusy
syn keyword tl_keyword contained ecanceled ecase ecase* ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure
syn keyword tl_keyword contained ensure-dir enum enumed enumlet
syn keyword tl_keyword contained env env-fbind env-fbindings env-hash
syn keyword tl_keyword contained env-next env-vbind env-vbindings enxio
syn keyword tl_keyword contained eopnotsupp eoverflow eownerdead eperm
syn keyword tl_keyword contained epipe eproto eprotonosupport eprototype
syn keyword tl_keyword contained eq eql equal equot
syn keyword tl_keyword contained erange erf erfc erofs
syn keyword tl_keyword contained errno error espipe esrch
syn keyword tl_keyword contained estale etime etimedout etxtbsy
syn keyword tl_keyword contained etypecase eval eval-only evenp
syn keyword tl_keyword contained ewouldblock exception-subtype-map exception-subtype-p exdev
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained exp10 exp2 expand expand*
syn keyword tl_keyword contained expand-hook-combine expand-left expand-right expand-with-free-refs
syn keyword tl_keyword contained expm1 expt exptmod extproc
syn keyword tl_keyword contained f$ f-dupfd f-dupfd-cloexec f-getfd
syn keyword tl_keyword contained f-getfl f-getlk f-rdlck f-setfd
syn keyword tl_keyword contained f-setfl f-setlk f-setlkw f-unlck
syn keyword tl_keyword contained f-wrlck f^ f^$ false
syn keyword tl_keyword contained fboundp fcntl fd-cloexec fdim
syn keyword tl_keyword contained ff0 ff1 ffdly ffi
syn keyword tl_keyword contained ffi-alignof ffi-arraysize ffi-call ffi-elemsize
syn keyword tl_keyword contained ffi-elemtype ffi-get ffi-in ffi-make-call-desc
syn keyword tl_keyword contained ffi-make-closure ffi-offsetof ffi-out ffi-put
syn keyword tl_keyword contained ffi-put-into ffi-size ffi-type-compile ffi-type-operator-p
syn keyword tl_keyword contained ffi-type-p ffi-typedef fifth file-append
syn keyword tl_keyword contained file-append-buf file-append-json file-append-jsons file-append-lines
syn keyword tl_keyword contained file-append-objects file-append-string file-get file-get-buf
syn keyword tl_keyword contained file-get-json file-get-jsons file-get-lines file-get-objects
syn keyword tl_keyword contained file-get-string file-place-buf file-put file-put-buf
syn keyword tl_keyword contained file-put-json file-put-jsons file-put-lines file-put-objects
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-maxes find-min find-min-key
syn keyword tl_keyword contained find-mins find-package find-struct-type find-symbol
syn keyword tl_keyword contained find-symbol-fb find-true finish-infix first
syn keyword tl_keyword contained fixnum-max fixnum-min fixnump flatcar
syn keyword tl_keyword contained flatcar* flatten flatten* flet
syn keyword tl_keyword contained flip flipargs flo-dig flo-down
syn keyword tl_keyword contained flo-epsilon flo-get-round-mode flo-int flo-max
syn keyword tl_keyword contained flo-max-dig flo-min flo-near flo-set-round-mode
syn keyword tl_keyword contained flo-str flo-up flo-zero float
syn keyword tl_keyword contained floatp floor floor-rem flow
syn keyword tl_keyword contained flush-stream flusho fmakunbound fmax
syn keyword tl_keyword contained fmin fmt fnm-casefold fnm-extmatch
syn keyword tl_keyword contained fnm-leading-dir fnm-noescape fnm-pathname fnm-period
syn keyword tl_keyword contained fnmatch for for* force
syn keyword tl_keyword contained force-break fork format fourth
syn keyword tl_keyword contained fr$ fr^ fr^$ from
syn keyword tl_keyword contained frr fsblkcnt-t fsfilcnt-t fstat
syn keyword tl_keyword contained ftw ftw-actionretval ftw-chdir ftw-continue
syn keyword tl_keyword contained ftw-d ftw-depth ftw-dnr ftw-dp
syn keyword tl_keyword contained ftw-f ftw-mount ftw-ns ftw-phys
syn keyword tl_keyword contained ftw-skip-siblings ftw-skip-subtree ftw-sl ftw-sln
syn keyword tl_keyword contained ftw-stop fun fun-fixparam-count fun-optparam-count
syn keyword tl_keyword contained fun-variadic func-get-env func-get-form func-get-name
syn keyword tl_keyword contained func-set-env functionp gamma gcd
syn keyword tl_keyword contained gen gen-hash-seed generate gensym
syn keyword tl_keyword contained gequal get-buf get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-csv get-delete-expander
syn keyword tl_keyword contained get-delimited-string get-error get-error-str get-frames
syn keyword tl_keyword contained get-hash-userdata get-indent get-indent-mode get-json
syn keyword tl_keyword contained get-jsons get-line get-line-as-buf get-lines
syn keyword tl_keyword contained get-list-from-stream get-obj get-sig-handler get-stack-limit
syn keyword tl_keyword contained get-string get-string-from-stream get-update-expander getaddrinfo
syn keyword tl_keyword contained getegid getenv geteuid getgid
syn keyword tl_keyword contained getgrent getgrgid getgrnam getgroups
syn keyword tl_keyword contained gethash getitimer getopts getpid
syn keyword tl_keyword contained getppid getpwent getpwnam getpwuid
syn keyword tl_keyword contained getresgid getresuid getrlimit getuid
syn keyword tl_keyword contained gid-t ginterate giterate glob
syn keyword tl_keyword contained glob* glob-altdirfunc glob-brace glob-err
syn keyword tl_keyword contained glob-mark glob-nocheck glob-noescape glob-nomagic
syn keyword tl_keyword contained glob-nosort glob-onlydir glob-period glob-tilde
syn keyword tl_keyword contained glob-tilde-check glob-xnobrace go grade
syn keyword tl_keyword contained greater group-by group-map group-reduce
syn keyword tl_keyword contained gun handle handle* handler-bind
syn keyword tl_keyword contained hash hash-alist hash-begin hash-construct
syn keyword tl_keyword contained hash-count hash-diff hash-eql hash-equal
syn keyword tl_keyword contained hash-from-alist hash-from-pairs hash-invert hash-isec
syn keyword tl_keyword contained hash-isecp hash-join hash-keys hash-keys-of
syn keyword tl_keyword contained hash-list hash-map hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-props hash-reset
syn keyword tl_keyword contained hash-revget hash-seq hash-subset hash-symdiff
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hash-zip hashp have
syn keyword tl_keyword contained hist-sort hist-sort-by hlet hlet*
syn keyword tl_keyword contained hmac-md5 hmac-sha1 hmac-sha256 html-decode
syn keyword tl_keyword contained html-encode html-encode* hupcl hypot
syn keyword tl_keyword contained iapply icanon icrnl id-t
syn keyword tl_keyword contained identity identity* ido iexten
syn keyword tl_keyword contained if if-match ifa iff
syn keyword tl_keyword contained iffi iflet ifx ignbrk
syn keyword tl_keyword contained igncr ignerr ignore ignpar
syn keyword tl_keyword contained ignwarn imaxbel improper-plist-to-alist in
syn keyword tl_keyword contained in-package in-range in-range* in6addr-any
syn keyword tl_keyword contained in6addr-loopback in6addr-str inaddr-any inaddr-loopback
syn keyword tl_keyword contained inaddr-str inc inc-indent inc-indent-abs
syn keyword tl_keyword contained indent-code indent-data indent-foff indent-off
syn keyword tl_keyword contained inhash inlcr ino-t inpck
syn keyword tl_keyword contained int int-buf int-carray int-chr
syn keyword tl_keyword contained int-cptr int-flo int-ptr-t int-str
syn keyword tl_keyword contained int16 int32 int64 int8
syn keyword tl_keyword contained integerp intern intern-fb interp-fun-p
syn keyword tl_keyword contained interpose intmax-t inv-cum-norm invoke-catch
syn keyword tl_keyword contained ip ipf ipproto-ip ipproto-ipv6
syn keyword tl_keyword contained ipproto-tcp ipproto-udp ipv6-join-group ipv6-leave-group
syn keyword tl_keyword contained ipv6-multicast-hops ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops
syn keyword tl_keyword contained ipv6-v6only iread isatty isec
syn keyword tl_keyword contained isecp isig isqrt istrip
syn keyword tl_keyword contained iter-begin iter-cat iter-item iter-more
syn keyword tl_keyword contained iter-reset iter-step iterable iterp
syn keyword tl_keyword contained itimer-prof itimer-real itimer-virtual iuclc
syn keyword tl_keyword contained iutf8 ixany ixoff ixon
syn keyword tl_keyword contained j0 j1 jmp-buf jn
syn keyword tl_keyword contained join join-with json juxt
syn keyword tl_keyword contained keep keep-if keep-if* keep-keys-if
syn keyword tl_keyword contained keep-match-case-products keep-match-cases keep-match-products keep-matches
syn keyword tl_keyword contained keepq keepql keepqual key
syn keyword tl_keyword contained key-t keyword-package keywordp kill
syn keyword tl_keyword contained labels lambda lambda-match last
syn keyword tl_keyword contained lazy-str lazy-str-force lazy-str-force-upto lazy-str-get-trailing-list
syn keyword tl_keyword contained lazy-stream-cons lazy-stringp lchown lcm
syn keyword tl_keyword contained lcons lcons-car lcons-cdr lcons-force
syn keyword tl_keyword contained lcons-fun lconsp ldexp ldiff
syn keyword tl_keyword contained ldo le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 left len length
syn keyword tl_keyword contained length-< length-buf length-carray length-list
syn keyword tl_keyword contained length-list-< length-str length-str-< length-str-<=
syn keyword tl_keyword contained length-str-> length-str->= length-vec lequal
syn keyword tl_keyword contained less let let* letrec
syn keyword tl_keyword contained lexical-binding-kind lexical-fun-binding-kind lexical-fun-p lexical-lisp1-binding
syn keyword tl_keyword contained lexical-macro-p lexical-symacro-p lexical-var-p lflow
syn keyword tl_keyword contained lgamma lib-version link lisp-parse
syn keyword tl_keyword contained list list* list-carray list-seq
syn keyword tl_keyword contained list-str list-vec list-vector listp
syn keyword tl_keyword contained lnew lnew* load load-args-process
syn keyword tl_keyword contained load-args-recurse load-for load-time loand
syn keyword tl_keyword contained loff-t log log-alert log-auth
syn keyword tl_keyword contained log-authpriv log-cons log-crit log-daemon
syn keyword tl_keyword contained log-debug log-emerg log-err log-info
syn keyword tl_keyword contained log-ndelay log-notice log-nowait log-odelay
syn keyword tl_keyword contained log-perror log-pid log-user log-warning
syn keyword tl_keyword contained log10 log1p log2 logand
syn keyword tl_keyword contained logb logcount logior lognot
syn keyword tl_keyword contained logtest logtrunc logxor long
syn keyword tl_keyword contained long-suffix longjmp longlong lop
syn keyword tl_keyword contained lop1 lopf lopip lset
syn keyword tl_keyword contained lstat lutimes m$ m^
syn keyword tl_keyword contained m^$ mac-env-param-bind mac-param-bind macro-ancestor
syn keyword tl_keyword contained macro-form-p macro-time macroexpand macroexpand-1
syn keyword tl_keyword contained macroexpand-1-lisp1 macroexpand-1-place macroexpand-lisp1 macroexpand-match
syn keyword tl_keyword contained macroexpand-params macroexpand-place macroexpand-struct-clause madv-dodump
syn keyword tl_keyword contained madv-dofork madv-dontdump madv-dontfork madv-dontneed
syn keyword tl_keyword contained madv-free madv-hugepage madv-hwpoison madv-keeponfork
syn keyword tl_keyword contained madv-mergeable madv-nohugepage madv-normal madv-random
syn keyword tl_keyword contained madv-remove madv-sequential madv-unmergeable madv-willneed
syn keyword tl_keyword contained madv-wipeonfork madvise major make-buf
syn keyword tl_keyword contained make-buf-stream make-byte-input-stream make-catenated-stream make-env
syn keyword tl_keyword contained make-hash make-lazy-cons make-lazy-struct make-like
syn keyword tl_keyword contained make-package make-random-state make-similar-hash make-similar-tree
syn keyword tl_keyword contained make-string-byte-input-stream make-string-input-stream make-string-output-stream make-strlist-input-stream
syn keyword tl_keyword contained make-strlist-output-stream make-struct make-struct-delegate-stream make-struct-type
syn keyword tl_keyword contained make-sym make-time make-time-utc make-trie
syn keyword tl_keyword contained make-union make-zstruct makedev makunbound
syn keyword tl_keyword contained map map-anon map-command-buf map-command-lines
syn keyword tl_keyword contained map-command-str map-fixed map-growsdown map-huge-mask
syn keyword tl_keyword contained map-huge-shift map-hugetlb map-locked map-nonblock
syn keyword tl_keyword contained map-noreserve map-populate map-private map-process-buf
syn keyword tl_keyword contained map-process-lines map-process-str map-shared map-stack
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* maprend
syn keyword tl_keyword contained maprod maprodo mask match
syn keyword tl_keyword contained match-case match-cond match-ecase match-error
syn keyword tl_keyword contained match-fboundp match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained match-tuple-case max mboundp md5
syn keyword tl_keyword contained md5-begin md5-end md5-hash md5-stream
syn keyword tl_keyword contained member member-if memp memq
syn keyword tl_keyword contained memql memqual meq meql
syn keyword tl_keyword contained mequal merge merge-delete-package meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mismatch mkdir mkdtemp mkfifo
syn keyword tl_keyword contained mknod mkstemp mkstring mlet
syn keyword tl_keyword contained mmakunbound mmap mod mode-t
syn keyword tl_keyword contained mprotect mref ms-async ms-invalidate
syn keyword tl_keyword contained ms-sync msync mul mul-each
syn keyword tl_keyword contained mul-each* mul-each-prod mul-each-prod* multi
syn keyword tl_keyword contained multi-sort munmap n-choose-k n-perm-k
syn keyword tl_keyword contained nand nandf nconc nearbyint
syn keyword tl_keyword contained neg neq neql nequal
syn keyword tl_keyword contained nested-vec nested-vec-of new new*
syn keyword tl_keyword contained nexpand-left nextafter nil nilf
syn keyword tl_keyword contained ninth nl0 nl1 nldly
syn keyword tl_keyword contained nlink-t noexpand noflsh none
syn keyword tl_keyword contained nor norf not notf
syn keyword tl_keyword contained nreconc nreverse nrot nshuffle
syn keyword tl_keyword contained nsort nth nthcdr nthlast
syn keyword tl_keyword contained null nullify num-chr num-str
syn keyword tl_keyword contained numberp nzerop o-accmode o-append
syn keyword tl_keyword contained o-async o-cloexec o-creat o-direct
syn keyword tl_keyword contained o-directory o-noatime o-noctty o-nofollow
syn keyword tl_keyword contained o-nonblock o-path o-rdonly o-rdwr
syn keyword tl_keyword contained o-sync o-trunc o-wronly oand
syn keyword tl_keyword contained obtain obtain* obtain*-block obtain-block
syn keyword tl_keyword contained ocrnl oddp ofdel off-t
syn keyword tl_keyword contained offsetof ofill olcuc onlcr
syn keyword tl_keyword contained onlret onocr op open-command
syn keyword tl_keyword contained open-directory open-file open-fileno open-files
syn keyword tl_keyword contained open-files* open-pipe open-process open-socket
syn keyword tl_keyword contained open-socket-pair open-subprocess open-tail opendir
syn keyword tl_keyword contained openlog opf opip opost
syn keyword tl_keyword contained opt opthelp opthelp-conventions opthelp-types
syn keyword tl_keyword contained or orf pack package-alist
syn keyword tl_keyword contained package-fallback-list package-foreign-symbols package-local-symbols package-name
syn keyword tl_keyword contained package-symbols packagep pad page-size
syn keyword tl_keyword contained pairlis parenb parmrk parodd
syn keyword tl_keyword contained parse-errors parse-infix partition partition*
syn keyword tl_keyword contained partition-by partition-if path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-components-safe path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-safe-sticky-dir path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm permi pic
syn keyword tl_keyword contained pid-t pinc pipe place-form-p
syn keyword tl_keyword contained placelet placelet* plist-to-alist plusp
syn keyword tl_keyword contained poll poll-err poll-in poll-nval
syn keyword tl_keyword contained poll-out poll-pri poll-rdband poll-rdhup
syn keyword tl_keyword contained poll-wrband poly pop pop-after-load
syn keyword tl_keyword contained portable-abs-path-p pos pos-if pos-max
syn keyword tl_keyword contained pos-min posq posql posqual
syn keyword tl_keyword contained pppred ppred pprinl pprint
syn keyword tl_keyword contained pprof pred prinl print
syn keyword tl_keyword contained prod prof prog prog*
syn keyword tl_keyword contained prog1 prog2 progf progn
syn keyword tl_keyword contained progv promisep prop proper-list-p
syn keyword tl_keyword contained proper-listp prot-exec prot-growsdown prot-growsup
syn keyword tl_keyword contained prot-none prot-read prot-write pset
syn keyword tl_keyword contained ptr ptr-in ptr-in-d ptr-out
syn keyword tl_keyword contained ptr-out-d ptr-out-s ptrdiff-t pub:txr-sym
syn keyword tl_keyword contained pure-rel-path-p purge-deferred-warning push push-after-load
syn keyword tl_keyword contained pushhash pushnew put-buf put-byte
syn keyword tl_keyword contained put-carray put-char put-csv put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-sample
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rangeref rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcombi
syn keyword tl_keyword contained rcons read read-objects read-once
syn keyword tl_keyword contained read-until-match readdir readlink real-time-stream-p
syn keyword tl_keyword contained realpath record-adapter reduce-left reduce-right
syn keyword tl_keyword contained ref refset regex-compile regex-from-trie
syn keyword tl_keyword contained regex-optimize regex-parse regex-prefix-match regex-source
syn keyword tl_keyword contained regexp register-exception-subtypes register-tentative-def regsub
syn keyword tl_keyword contained rehome-sym reject rel-path relate
syn keyword tl_keyword contained release-deferred-warnings remainder remhash remove
syn keyword tl_keyword contained remove-if remove-if* remove-path remove-path-rec
syn keyword tl_keyword contained remq remq* remql remql*
syn keyword tl_keyword contained remqual remqual* rename-path repeat
syn keyword tl_keyword contained replace replace-buf replace-env replace-list
syn keyword tl_keyword contained replace-str replace-struct replace-tree-iter replace-vec
syn keyword tl_keyword contained reset-struct rest ret retf
syn keyword tl_keyword contained return return* return-from revappend
syn keyword tl_keyword contained reverse rfind rfind-if right
syn keyword tl_keyword contained rint rlcp rlcp-tree rlet
syn keyword tl_keyword contained rlim-infinity rlim-saved-cur rlim-saved-max rlimit-as
syn keyword tl_keyword contained rlimit-core rlimit-cpu rlimit-data rlimit-fsize
syn keyword tl_keyword contained rlimit-nofile rlimit-stack rlink rlist
syn keyword tl_keyword contained rlist* rmdir rmember rmember-if
syn keyword tl_keyword contained rmemq rmemql rmemqual rmismatch
syn keyword tl_keyword contained rot rotate round round-rem
syn keyword tl_keyword contained rperm rpermi rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scalb
syn keyword tl_keyword contained scalbln scan-until-match search search-all
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-cur seek-end seek-set
syn keyword tl_keyword contained seek-stream select self-load-path self-path
syn keyword tl_keyword contained separate separate-keys seq-begin seq-like
syn keyword tl_keyword contained seq-next seq-reset seqp set
syn keyword tl_keyword contained set-diff set-hash-userdata set-indent set-indent-mode
syn keyword tl_keyword contained set-key set-left set-mask set-max-depth
syn keyword tl_keyword contained set-max-length set-package-fallback-list set-right set-sig-handler
syn keyword tl_keyword contained set-stack-limit setegid setenv seteuid
syn keyword tl_keyword contained setgid setgrent setgroups sethash
syn keyword tl_keyword contained setitimer setjmp setlogmask setpwent
syn keyword tl_keyword contained setresgid setresuid setrlimit setuid
syn keyword tl_keyword contained seventh sh sh-esc sh-esc-all
syn keyword tl_keyword contained sh-esc-dq sh-esc-sq sha1 sha1-begin
syn keyword tl_keyword contained sha1-end sha1-hash sha1-stream sha256
syn keyword tl_keyword contained sha256-begin sha256-end sha256-hash sha256-stream
syn keyword tl_keyword contained shift short short-suffix shuffle
syn keyword tl_keyword contained shut-rd shut-rdwr shut-wr sig-abrt
syn keyword tl_keyword contained sig-alrm sig-atomic-t sig-bus sig-check
syn keyword tl_keyword contained sig-chld sig-cont sig-fpe sig-hup
syn keyword tl_keyword contained sig-ill sig-int sig-io sig-iot
syn keyword tl_keyword contained sig-kill sig-pipe sig-poll sig-prof
syn keyword tl_keyword contained sig-pwr sig-quit sig-segv sig-stkflt
syn keyword tl_keyword contained sig-stop sig-sys sig-term sig-trap
syn keyword tl_keyword contained sig-tstp sig-ttin sig-ttou sig-urg
syn keyword tl_keyword contained sig-usr1 sig-usr2 sig-vtalrm sig-winch
syn keyword tl_keyword contained sig-xcpu sig-xfsz sign-extend significand
syn keyword tl_keyword contained signum sin sinh sixth
syn keyword tl_keyword contained size-t size-vec sizeof slet
syn keyword tl_keyword contained slot slotp slots slotset
syn keyword tl_keyword contained snsort so-acceptconn so-broadcast so-debug
syn keyword tl_keyword contained so-dontroute so-error so-keepalive so-linger
syn keyword tl_keyword contained so-oobinline so-rcvbuf so-rcvlowat so-rcvtimeo
syn keyword tl_keyword contained so-reuseaddr so-sndbuf so-sndlowat so-sndtimeo
syn keyword tl_keyword contained so-type sock-accept sock-bind sock-cloexec
syn keyword tl_keyword contained sock-connect sock-dgram sock-family sock-listen
syn keyword tl_keyword contained sock-nonblock sock-opt sock-peer sock-recv-timeout
syn keyword tl_keyword contained sock-send-timeout sock-set-opt sock-set-peer sock-shutdown
syn keyword tl_keyword contained sock-stream sock-type sockaddr-str socklen-t
syn keyword tl_keyword contained sol-socket some some-false some-true
syn keyword tl_keyword contained sort sort-group source-loc source-loc-str
syn keyword tl_keyword contained span-str special-operator-p special-var-p spl
syn keyword tl_keyword contained split split* split-str split-str-set
syn keyword tl_keyword contained spln sqrt square ssize-t
syn keyword tl_keyword contained ssort sspl sssucc ssucc
syn keyword tl_keyword contained starts-with stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-home static-slot-p static-slot-set stdlib
syn keyword tl_keyword contained str str-buf str-compress str-d
syn keyword tl_keyword contained str-decompress str-esc str-in6addr str-in6addr-net
syn keyword tl_keyword contained str-inaddr str-inaddr-net str-s str-seq
syn keyword tl_keyword contained str< str<= str= str>
syn keyword tl_keyword contained str>= stream-get-prop stream-set-prop streamp
syn keyword tl_keyword contained strerror string-extend string-finish string-get-code
syn keyword tl_keyword contained string-lt string-set-code stringp strsignal
syn keyword tl_keyword contained struct struct-from-args struct-from-plist struct-get-initfun
syn keyword tl_keyword contained struct-get-postinitfun struct-set-initfun struct-set-postinitfun struct-type
syn keyword tl_keyword contained struct-type-name struct-type-p structp sub
syn keyword tl_keyword contained sub-buf sub-list sub-str sub-tree
syn keyword tl_keyword contained sub-vec subq subql subqual
syn keyword tl_keyword contained subst subtypep succ sum
syn keyword tl_keyword contained sum-each sum-each* sum-each-prod sum-each-prod*
syn keyword tl_keyword contained super super-method suspend swap
syn keyword tl_keyword contained symbol-function symbol-macro symbol-name symbol-package
syn keyword tl_keyword contained symbol-value symbolp symdiff symlink
syn keyword tl_keyword contained sys:%backpatch-high16% sys:%backpatch-low16% sys:%big-endian% sys:%bin-op%
syn keyword tl_keyword contained sys:%bin-ops% sys:%block-using-funs% sys:%call-op% sys:%const-foldable%
syn keyword tl_keyword contained sys:%const-foldable-funs% sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free%
syn keyword tl_keyword contained sys:%effect-free-funs% sys:%eval-cache% sys:%functional% sys:%functional-funs%
syn keyword tl_keyword contained sys:%gcall-op% sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args%
syn keyword tl_keyword contained sys:%max-lev% sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx%
syn keyword tl_keyword contained sys:%max-v-lev% sys:%nary-ops% sys:%oc-code% sys:%oc-hash%
syn keyword tl_keyword contained sys:%oc-list-builder% sys:%package-manip% sys:%param-info% sys:%quip-rand-state%
syn keyword tl_keyword contained sys:%quips% sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size%
syn keyword tl_keyword contained sys:%test-funs% sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos%
syn keyword tl_keyword contained sys:%test-inv% sys:%test-opcode% sys:%tlo-ver% sys:*dedup*
syn keyword tl_keyword contained sys:*emit* sys:*esc-blocks* sys:*eval* sys:*ifx-env*
syn keyword tl_keyword contained sys:*in-compilation-unit* sys:*lazy-streams* sys:*load-recursive* sys:*load-time*
syn keyword tl_keyword contained sys:*match-form* sys:*op-ctx* sys:*pl-env* sys:*pl-form*
syn keyword tl_keyword contained sys:*struct-prelude* sys:*struct-prelude-alists* sys:*tail-fun* sys:*tail-pos*
syn keyword tl_keyword contained sys:*top-level* sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:add-neg-parens sys:analyze-argtypes
syn keyword tl_keyword contained sys:analyze-params sys:and-set sys:apply sys:arith-each
syn keyword tl_keyword contained sys:ash-set sys:asm-error sys:asr sys:asr-set
syn keyword tl_keyword contained sys:assumed-fun sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-field-name-code sys:awk-fun-let
syn keyword tl_keyword contained sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer sys:awk-redir
syn keyword tl_keyword contained sys:awk-symac-let sys:awk-test sys:b* sys:b+
syn keyword tl_keyword contained sys:b- sys:b/ sys:b< sys:b<=
syn keyword tl_keyword contained sys:b= sys:b=> sys:b> sys:bad-slot-syntax
syn keyword tl_keyword contained sys:bexp-expand sys:bexp-parse sys:bexp-parse-brace sys:bind-mac-check
syn keyword tl_keyword contained sys:bind-mac-error sys:bindable-check sys:bits sys:bits-to-obj
syn keyword tl_keyword contained sys:blk sys:build-expander sys:cached-sort-body sys:can-inline-chain
syn keyword tl_keyword contained sys:capture-cont sys:careful-subst-preserve sys:catch sys:check
syn keyword tl_keyword contained sys:check-slot sys:check-struct sys:check-sym sys:circref
syn keyword tl_keyword contained sys:comma-positions sys:compat sys:compat-225 sys:compat-298
syn keyword tl_keyword contained sys:compile-and-match sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure
syn keyword tl_keyword contained sys:compile-exprs-match sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match
syn keyword tl_keyword contained sys:compile-match sys:compile-new-var-match sys:compile-not-match sys:compile-or-match
syn keyword tl_keyword contained sys:compile-predicate-match sys:compile-range-match sys:compile-require-match sys:compile-scan-all-match
syn keyword tl_keyword contained sys:compile-scan-match sys:compile-struct-match sys:compile-var-match sys:compile-vec-match
syn keyword tl_keyword contained sys:compile-with-match sys:compiler-emit-warnings sys:conv sys:conv-expand
syn keyword tl_keyword contained sys:conv-expand-sym sys:conv-let sys:convert-t-b-jmps sys:ctx-form
syn keyword tl_keyword contained sys:ctx-name sys:dbg-all sys:dbg-backtrace sys:dbg-clear
syn keyword tl_keyword contained sys:dbg-enable sys:dbg-restore sys:dbg-set sys:dbg-step
syn keyword tl_keyword contained sys:debugger sys:debugger-help sys:dedup sys:dedup-labels
syn keyword tl_keyword contained sys:deffi-cb-expander sys:define-method sys:defset-expander sys:defset-expander-simple
syn keyword tl_keyword contained sys:detached-run sys:detect-infix sys:dig sys:disassemble-cdf
syn keyword tl_keyword contained sys:dlib-expr sys:do-conv sys:do-copy-obj sys:do-path-test
syn keyword tl_keyword contained sys:do-tweak-obj sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-param-macro
syn keyword tl_keyword contained sys:expand-params sys:expand-pic sys:expand-pic-align sys:expand-pic-num
syn keyword tl_keyword contained sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match
syn keyword tl_keyword contained sys:expand-quasi-mods sys:expand-sym-ref sys:fbind sys:find-parent
syn keyword tl_keyword contained sys:fixed-point sys:flatten-or sys:fmt-flex sys:fmt-flex-fmstr
syn keyword tl_keyword contained sys:fmt-join sys:fmt-simple sys:fmt-simple-fmstr sys:for-op
syn keyword tl_keyword contained sys:funp sys:gc sys:gc-set-delta sys:get-fun-getter-setter
syn keyword tl_keyword contained sys:get-mb sys:get-param-info sys:get-place-macro sys:get-var-list
syn keyword tl_keyword contained sys:get-vars sys:get-vb sys:getopts-error sys:glob-xstar
syn keyword tl_keyword contained sys:handle-bad-syntax sys:handle-mutated-var-args sys:hlet-expand sys:hmac-impl
syn keyword tl_keyword contained sys:if-to-cond sys:ifx-ops sys:ifx-uops sys:ign-notfound
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:infix-error sys:infix-expand-hook sys:inline-chain
syn keyword tl_keyword contained sys:inline-chain-rec sys:insert-commas sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list
syn keyword tl_keyword contained sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind sys:lisp1-setq
syn keyword tl_keyword contained sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit
syn keyword tl_keyword contained sys:loc sys:logand-set sys:logior-set sys:logxor-set
syn keyword tl_keyword contained sys:loosen sys:lopip1 sys:mac-env-flatten sys:make-anon-package
syn keyword tl_keyword contained sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:maproc-common sys:mark-special sys:match-case-to-casequal sys:match-pat-error
syn keyword tl_keyword contained sys:maybe-mov sys:meth-lambda sys:misleading-ref-check sys:mod-set
syn keyword tl_keyword contained sys:name-str sys:new-expander sys:new-type sys:no-dvbind-eval
syn keyword tl_keyword contained sys:non-triv-pat-p sys:normalize-enum-pairs sys:null-reg sys:obtain-impl
syn keyword tl_keyword contained sys:op-alpha-rename sys:op-ensure-rec sys:op-expand sys:op-meta-p
syn keyword tl_keyword contained sys:op-rec-p sys:open-compile-streams sys:open-url sys:operand-to-exp
syn keyword tl_keyword contained sys:operand-to-sym sys:opip-expand sys:opip-let-p sys:opip-single-let-p
syn keyword tl_keyword contained sys:opt-controlled-diag sys:opt-dash sys:opt-err sys:or-set
syn keyword tl_keyword contained sys:orig-form sys:os-symbol sys:param-check sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-lambda-match-clause sys:parse-operand sys:pat-len sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-simplify sys:path-split sys:path-test-mode
syn keyword tl_keyword contained sys:path-test-type sys:path-volume sys:pic-join-opt sys:placelet-1
syn keyword tl_keyword contained sys:print-backtrace sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits
syn keyword tl_keyword contained sys:put-objects sys:qquote sys:quasi sys:quasilist
syn keyword tl_keyword contained sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp sys:reduce-or
syn keyword tl_keyword contained sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor sys:repl
syn keyword tl_keyword contained sys:rewrite sys:rewrite-case sys:rplaca sys:rplacd
syn keyword tl_keyword contained sys:rslotset sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro
syn keyword tl_keyword contained sys:rt-defun sys:rt-defv sys:rt-defvarl sys:rt-load-for
syn keyword tl_keyword contained sys:rt-pprof sys:rt-progv sys:rt-setjmp sys:safe-abs-path
syn keyword tl_keyword contained sys:safe-const-eval sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit
syn keyword tl_keyword contained sys:set-macro-ancestor sys:set-symbol-value sys:setq sys:setqf
syn keyword tl_keyword contained sys:simplify-or sys:simplify-variadic-lambda sys:slot-types sys:small-op-p
syn keyword tl_keyword contained sys:small-op-to-sym sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit
syn keyword tl_keyword contained sys:subst-preserve sys:switch sys:sym-clobber-expander sys:sym-delete-expander
syn keyword tl_keyword contained sys:sym-update-expander sys:system-symbol-p sys:top-fb sys:top-mb
syn keyword tl_keyword contained sys:top-vb sys:tr* sys:trace sys:trace-canonicalize-name
syn keyword tl_keyword contained sys:trace-enter sys:trace-leave sys:trace-redefine-check sys:transform-qquote
syn keyword tl_keyword contained sys:translate-hash-bang sys:tree-construct sys:trfm sys:true-const-p
syn keyword tl_keyword contained sys:txr-case-impl sys:typecase-expander sys:untrace sys:upenv
syn keyword tl_keyword contained sys:uw-block sys:uw-captured-block sys:uw-catch sys:uw-cont-copy
syn keyword tl_keyword contained sys:uw-eval sys:uw-expand sys:uw-fcall sys:uw-guard
syn keyword tl_keyword contained sys:uw-handle sys:uw-menv sys:var-pat-p sys:vars-check
syn keyword tl_keyword contained sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec
syn keyword tl_keyword contained sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel
syn keyword tl_keyword contained sys:vm-make-desc sys:wdwrap sys:when-opt sys:with-disabled-debugging
syn keyword tl_keyword contained sys:with-dyn-lib-check syslog system-package t
syn keyword tl_keyword contained tab0 tab1 tab2 tab3
syn keyword tl_keyword contained tabdly tagbody tailp take
syn keyword tl_keyword contained take-until take-while tan tanh
syn keyword tl_keyword contained tap tb tc tcdrain
syn keyword tl_keyword contained tcflow tcflush tcgetattr tciflush
syn keyword tl_keyword contained tcioff tcioflush tcion tcoflush
syn keyword tl_keyword contained tcooff tcoon tcp-nodelay tcsadrain
syn keyword tl_keyword contained tcsaflush tcsanow tcsendbreak tcsetattr
syn keyword tl_keyword contained tentative-def-exists tenth test-clear test-clear-dirty
syn keyword tl_keyword contained test-dec test-dirty test-inc test-neq-set-indent-mode
syn keyword tl_keyword contained test-set test-set-indent-mode tf tgamma
syn keyword tl_keyword contained third throw throwf time
syn keyword tl_keyword contained time-fields-local time-fields-utc time-nsec time-parse
syn keyword tl_keyword contained time-parse-local time-parse-utc time-str-local time-str-utc
syn keyword tl_keyword contained time-string-local time-string-utc time-struct-local time-struct-utc
syn keyword tl_keyword contained time-t time-usec tmpfile tnode
syn keyword tl_keyword contained tnodep to tocsv tofloat
syn keyword tl_keyword contained tofloatz toint tointz tojson
syn keyword tl_keyword contained tok tok-str tok-where tokn
syn keyword tl_keyword contained tostop tostring tostringp touch
syn keyword tl_keyword contained tprint trace transpose tree
syn keyword tl_keyword contained tree-begin tree-bind tree-case tree-clear
syn keyword tl_keyword contained tree-count tree-del-min tree-del-min-node tree-delete
syn keyword tl_keyword contained tree-delete-node tree-delete-specific-node tree-find tree-insert
syn keyword tl_keyword contained tree-insert-node tree-lookup tree-lookup-node tree-min
syn keyword tl_keyword contained tree-min-node tree-next tree-peek tree-reset
syn keyword tl_keyword contained tree-root treep trie-add trie-compress
syn keyword tl_keyword contained trie-lookup-begin trie-lookup-feed-char trie-value-at trim-left
syn keyword tl_keyword contained trim-long-suffix trim-path-seps trim-right trim-short-suffix
syn keyword tl_keyword contained trim-str true trunc trunc-rem
syn keyword tl_keyword contained truncate-stream tuples tuples* txr-case
syn keyword tl_keyword contained txr-exe-path txr-if txr-parse txr-path
syn keyword tl_keyword contained txr-version txr-when typecase typedef
syn keyword tl_keyword contained typeof typep ubit uchar
syn keyword tl_keyword contained uid-t uint uint-buf uint-carray
syn keyword tl_keyword contained uint-ptr-t uint16 uint32 uint64
syn keyword tl_keyword contained uint8 uintmax-t ulong ulonglong
syn keyword tl_keyword contained umask umeth umethod uname
syn keyword tl_keyword contained unget-byte unget-char uni unintern
syn keyword tl_keyword contained union union-get union-in union-members
syn keyword tl_keyword contained union-out union-put uniq unique
syn keyword tl_keyword contained unless unsetenv until until*
syn keyword tl_keyword contained untrace unuse-package unuse-sym unwind-protect
syn keyword tl_keyword contained upcase-str upd update uref
syn keyword tl_keyword contained url-decode url-encode use use-package
syn keyword tl_keyword contained use-sym use-sym-as user-package ushort
syn keyword tl_keyword contained usl usleep uslot utimes
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-seq vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vm-fun-p
syn keyword tl_keyword contained vmin void vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait wchar weave when
syn keyword tl_keyword contained when-match whena whenlet where
syn keyword tl_keyword contained wheref whereq whereql wherequal
syn keyword tl_keyword contained while while* while-match while-match-case
syn keyword tl_keyword contained while-true-match-case whilet width width-check
syn keyword tl_keyword contained window-map window-mapdo window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-compile-opts with-delete-expander
syn keyword tl_keyword contained with-dyn-lib with-gensyms with-hash-iter with-in-buf-stream
syn keyword tl_keyword contained with-in-string-byte-stream with-in-string-stream with-objects with-out-buf-stream
syn keyword tl_keyword contained with-out-string-stream with-out-strlist-stream with-resources with-slots
syn keyword tl_keyword contained with-stream with-update-expander wrap wrap*
syn keyword tl_keyword contained wstr wstr-d wstr-s xcase
syn keyword tl_keyword contained y0 y1 yield yield-from
syn keyword tl_keyword contained yn zap zarray zchar
syn keyword tl_keyword contained zero-fill zerop zip znew
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+"
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]"

syn match txr_chr "#\\x[0-9A-Fa-f]\+"
syn match txr_chr "#\\o[0-7]\+"
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]"
syn match txr_chr "#\\[A-Za-z_0-9]\+"
syn match txr_ncomment ";.*"

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)\(\~\([\^<>]\?[0-9]*\(,[+\-0 ]*[0-9]*\)\?\)\?[asdxXobfepi]:\)\?" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_|~]*[A-Za-z_!$%&*+\-<=>?\\_|~^][A-Za-z_0-9!$%&*+\-<=>?\\_|~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_|~^/]\+" contained
syn match tl_ident "#\?:"
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_|~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_|~^/#]*"
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?"
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_|~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_|~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)"
syn match tl_splice "[ \t,]\|,[*]"

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'"
syn match txr_quote "\^"
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@"

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_list matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-case-products,append-match-cases,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,case,case*,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,collect-match-case-products,collect-match-cases,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defenum,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,div,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-case,each-match-case-product,each-match-product,each-prod,each-prod*,each-true,ecase,ecase*,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,enumlet,equot,etypecase,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ifx,ignerr,ignwarn,in-package,ip,json,keep-match-case-products,keep-match-cases,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,letrec,lflow,lnew*,load-for,load-time,loand,lop,lop1,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,match,match-case,match-cond,match-ecase,match-tuple-case,mlet,mul,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,sys:abscond-from,sys:and-set,sys:arith-each,sys:ash-set,sys:asr,sys:asr-set,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:fbind,sys:fixed-point,sys:for-op,sys:funp,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:logand-set,sys:logior-set,sys:logxor-set,sys:lopip1,sys:meth-lambda,sys:mod-set,sys:or-set,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:upenv,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:\;\;\;,:\;\;,:\;
